Live events of a Room
GET
/api/v1/rooms/{roomId}/events
const url = 'https://api.yggy.tech/api/v1/rooms/example/events';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.yggy.tech/api/v1/rooms/example/events \ --header 'Authorization: Bearer <token>'Server-Sent Events for an open board: hello (connection id, version, people here), changed (a new version; read the Room again), deleted, presence, presence-leave, comments and heartbeat. Changes carry no card content.
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” roomId
required
string
Query Parameters
Section titled “Query Parameters ” replaces
This board’s connection id from before a reconnect; it is dropped at once.
string
This board’s connection id from before a reconnect; it is dropped at once.
Responses
Section titled “ Responses ”Event stream
Media type text/event-stream
string
Unauthorized
Media type application/json
object
success
required
boolean
error
required
object
message
required
string
code
required
string
details
Example
{ "success": false, "error": { "code": "INTERNAL_ERROR" }}Room not found
Media type application/json
object
success
required
boolean
error
required
object
message
required
string
code
required
string
details
Example
{ "success": false, "error": { "code": "INTERNAL_ERROR" }}